#ifndef _EDGE_
#define _EDGE_

#define NULL 0

unsigned char* sobelFilter(int width, int height, int nband, int luminance, int threshold, unsigned char* imgSrc, unsigned char* imgDest = NULL);
unsigned char* logFilter(int width, int height, int nband, int luminance, int threshold, unsigned char* imgSrc, unsigned char* imgDest = NULL);

#endif